import { API } from "lambda-api";
import { Container } from "inversify";
import { ApiResponse } from "../model/ApiResponse";
import { AppConfig } from "../model/AppConfig";
export declare class ApiServer {
    private readonly api;
    constructor(apiConfig?: AppConfig);
    configure(handler: (api: API) => void): void;
    discoverAndBuildRoutes(controllersPath: string, appContainer: Container): Promise<void>;
    processEvent(event: any, context: any): Promise<ApiResponse>;
}
